
Installer - Refactor #29039

Make foreman::config::apache a standalone class

02/17/2020 04:58 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman/pull/800,

https://github.com/theforeman/puppet-for

eman_proxy_content/pull/243,

https://github.com/theforeman/puppet-kat

ello/pull/324,

https://github.com/theforeman/puppet-kat

ello_devel/pull/225

  

Description

By making the class standalone, it is easier to use it in other parts of the installer. It's also easier to test.

Associated revisions

Revision 8af63b84 - 02/18/2020 05:46 PM - Ewoud Kohl van Wijngaarden

Fixes #29039 - Make foreman::config::apache standalone

By not relying on the foreman class parameters, it becomes easier to use

this class without Foreman. This can be useful when deploying it using a

git checkout rather than packages.

Revision 386a1acc - 02/18/2020 07:37 PM - Ewoud Kohl van Wijngaarden

Refs #29039 - Use loose coupling to Foreman's Apache config

By only including the Apache config, we get only what we really need.

Revision f6dda3ec - 02/19/2020 02:12 AM - Ewoud Kohl van Wijngaarden

Refs #29039 - Use foreman's Apache config standalone (#324)

Refs #29039 - Use foreman's Apache config standalone

By using only the Apache config, it's possible to use the Apache config

without Foreman installed.

Move the repo_export_dir to application.pp

The repo export directory default matches with the

pulp_export_destination setting. This means it's only needed on a

Katello application server, not on a Pulp server.

By creating an anchor, we can collect this if needed and otherwise fall

back to a simple mkdir -p. By ordering these it should be idempotent,

guarantee the correct permissions on /var/lib/pulp and the

katello-export subdirectory.

History

#1 - 02/17/2020 09:54 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden
- Pull request https://github.com/theforeman/puppet-foreman/pull/800 added

#2 - 02/17/2020 09:56 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/243 added

#3 - 02/17/2020 10:01 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-katello/pull/324 added

#4 - 02/18/2020 05:46 PM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#5 - 02/18/2020 06:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|8af63b8486dfccc9f2488d7165f027c34fd90f75.

#6 - 02/19/2020 02:30 AM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-katello_devel/pull/225 added
